org.apache.tinkerpop.gremlin.process

## Class ProcessPerformanceSuite

- java.lang.Object
- - Suite
  - - org.apache.tinkerpop.gremlin.AbstractGremlinSuite
    - - org.apache.tinkerpop.gremlin.process.ProcessPerformanceSuite

- Deprecated.
  As of release 3.2.0-incubating, replaced by gremlin-benchmark.

      @Deprecated
      public class ProcessPerformanceSuite
      extends AbstractGremlinSuite

  The `ProcessPerformanceSuite` is a JUnit test runner that executes the Gremlin Test Suite over a Graph implementation. This suite contains "long-run" tests that produce reports on the traversal execution performance of a vendor implementation `Graph`. Its usage is optional to providers as the tests are somewhat redundant to those found elsewhere in other required test suites.

  For more information on the usage of this suite, please see `StructureStandardSuite`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinSuite

      `AbstractGremlinSuite.OptOutTestFilter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessPerformanceSuite(Class<?> klass, RunnerBuilder builder)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinSuite

      `afterTestExecution, beforeTestExecution, getGraphProviderClass, runChild, validateOptInAndOutAnnotationsOnGraph, withAfterClasses`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessPerformanceSuite

          public ProcessPerformanceSuite(Class<?> klass,
                                         RunnerBuilder builder)
                                  throws InitializationError

      Deprecated.
      Throws:
        `InitializationError`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.